DPGEN_NMUX2(3)

NAME
DPGEN_NMUX2 - Multiplexer Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_NMUX2, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits two inputs multiplexer with a complemented output and a power of drive named modelname.

Valid drive are : 2 or 4.

  TERMINAL NAMES

1.  cmd : select (1 bit).

2.  i1 : input (N bits).

3.  i0 : input (N bits).

4.  nq : output (N bits).

5.  vdd : power.

6.  vss : ground.

  BEHAVIOR
nq <= WITH cmd SELECT not i0 WHEN '0',
                      not i1 WHEN '1';

EXAMPLE

GENLIB_MACRO(DPGEN_NMUX2, "model_nmux2_32"
                        , F_BEHAV|F_PLACE
                        , 32
                        , 2
                        );
GENLIB_LOINS( "model_nmux2_32"
            , "instance1_nmux2_32"
            , "cmd"
            , "i1[31:0]"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)